Bug 1316577 - Why do we have to replace a failed brick with a brick mounted on a different mount point?
Summary: Why do we have to replace a failed brick with a brick mounted on a different ...
Keywords:
Status: CLOSED DUPLICATE of bug 1266876
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: mainline
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Anuradha
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-10 14:11 UTC by Peter Portante
Modified: 2016-06-22 09:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-22 08:56:04 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Peter Portante 2016-03-10 14:11:26 UTC
We had a failed brick, bad disk.  We replaced the drive and are following the documentation (See "Replacing brick in Replicate/Distributed Replicate volumes" in http://gluster.readthedocs.org/en/latest/Administrator%20Guide/Managing%20Volumes/#replace-brick).

However this seems odd.

If I have a six node cluster, each with 1 brick, where I have three-way replication, I'll end up data distributed across two bricks which in turn are replicated three ways.

In this scenario, if a node goes down for a time and comes back, its brick will get self-healed to match the other replicas and life goes on.

Why can't I do the same with that one brick?  Just take it out of service, replace the brick, remount and allow it to self-heal?

Comment 1 Shyamsundar 2016-03-10 17:45:12 UTC
@Peter, the changes proposed for this bug, https://bugzilla.redhat.com/show_bug.cgi?id=1266876 seem to line up to your requests.

Could you take a look at the commit message for the change here [1], and add your comments on weather this satisfies your request?

[1] http://review.gluster.org/#/c/12250/

Comment 2 Peter Portante 2016-03-11 02:21:47 UTC
@Shyamsundar, I posted a comment on what I would like to see for a command syntax in that commit.  Thanks!

Comment 3 Anuradha 2016-06-22 08:56:04 UTC

*** This bug has been marked as a duplicate of bug 1266876 ***

Comment 4 Anuradha 2016-06-22 09:01:34 UTC
Closed as duplicate as same patch being worked on for bug 1266876 will fix this too. If there is any problem with the functionality then please raise bug.

Thanks,
Anuradha


Note You need to log in before you can comment on or make changes to this bug.